import { Timer as i } from "./timer.js";
function e(o, t, n) {
  var r = new i();
  return t = t == null ? 0 : +t, r.restart((u) => {
    r.stop(), o(u + t);
  }, t, n), r;
}
export {
  e as default
};
